# $Revision: 1.15 $, $Date: 2002/02/28 22:35:33 $
Summary:	A utility which aims to decrease X session startup time
Summary(de):	Startet ein X-Programm und wartet auf dessen Fenster
Summary(es):	Dispara un programa X y espera por su ventana
Summary(fr):	Lance un programme X et attend sa fentre
Summary(tr):	X program aar ve penceresini bekler
Summary(pl):	Narzdzie majce na celu zmniejszenie czasu startu sesji X
Summary(pt_BR):	Dispara um programa X e espera pela sua janela
Summary(ru):	,      X Window
Summary(uk):	̦,       X Window
Name:		xtoolwait
Version:	1.3
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	ftp://ftp.x.org/contrib/utilities/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		/usr/X11R6/man

%description
Xtoolwait is a utility which starts an X client in the background,
waits for a window to be mapped on the root window, and then exits.
Xtoolwait can improve performance for users who start a bunch of X
clients automatically (for example, xterm, xlock, xconsole, whatever)
when the X session starts.

Install xtoolwait if you'd like to try to speed up the startup time
for X sessions.

%description -l de
Utility zum Starten eines Programms und Abwarten des Aufbaus eines
Fensters. Kein Endbenutzer-Programm, jedoch ntzlich zum Schreiben von
Skripts, die X-Windows-Programme ausfhren.

%description -l es
Utilitario para iniciar un programa y esperar por l, para hacer el
mapa de una ventana. ENOes un programa "end-user", pero es til para
escribir scripts que ejecuten programas X Window.

%description -l fr
Utilitaire pour lancer un programme et attendre qu'il corresponde 
une fentre. Utile pour crire des scripts qui lancent des programmes
X Window

%description -l tr
Bir program altrr ve penceresinin yaratlmasn bekler. Son
kullancya ynelik bir uygulama deildir.

%description -l pl
Xtoolwait jest narzdziem, ktre uruchamia X klienta w tle, czeka na
okienko, ktre ma by podmapowane w gwnym oknie, po czym koczy
dziaanie. Xtoolwait moe zwikszy wydajno dla uytkownikw, ktrzy
uruchamiaj duo klintw X automatycznie (np. xterm, xlock, xconsole,
cokolwiek) przy starcie sesji X.

%description -l uk
Xtoolwait -  ̦,   X ̦   ͦ,
  צ צɤ Ϥ צ  դ. Xtoolwait 
    ަ, Ҧ   X
̦Ԧ  (, xterm, xlock, xconsole  ..) 
  X Window.

%description -l pt_BR
Utilitrio para iniciar um programa e esperar por ele para mapear uma
janela. No  um programa "end-user", mas  til para escrever scripts
que rodem programas X Window.

%description -l ru
Xtoolwait -  ,   X    ,
        . Xtoolwait 
    ,    X
  (, xterm, xlock, xconsole,  ..) 
  X Window.

%description -l uk
Xtoolwait -  ̦,   X ̦   ͦ,
  צ צɤ Ϥ צ  դ. Xtoolwait 
    ަ, Ҧ   X
̦Ԧ  (, xterm, xlock, xconsole  ..) 
  X Window.

%prep
%setup -q

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/xtoolwait
%{_mandir}/man1/xtoolwait.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xtoolwait.spec,v $
Revision 1.15  2002/02/28 22:35:33  kloczek
- merge also old translations from Bero.

Revision 1.14  2002/02/28 22:30:58  kloczek
- bump relase to 3 (for allow easy upgrade from RH),
- merge translations from KSI and Conectiva.

Revision 1.13  2002/02/28 21:54:24  kloczek
- pass correct CC="%%{__cc}" to make parameters.

Revision 1.12  2002/02/28 20:19:48  blues
- 1.3
- more docs, License is GPL2 now.
STB

Revision 1.11  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/24 11:10:11  qboosh
- adapterized, added pl description

Revision 1.7  2001/05/03 01:14:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:28  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build new version for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
